#ifndef HOSTINFOITEM_H
#define HOSTINFOITEM_H
#include <String.h>
#include <socket.h>
class HostInfoItem : private BString
{
  public:
    HostInfoItem();
    HostInfoItem(const char *hostname,uint32 ip);
    HostInfoItem(HostInfoItem& obj);

    uint32 IPAddress()const;
    void IPAddress(uint32);

    const char *HostName()const;
    void HostName(const char *hostname);
    
    int CompareHostName(HostInfoItem&)const;
    int CompareHostName(const char *)const;
         
    time_t TimeStamp()const;
    void   TimeStamp(time_t);
    void   UpdateTimeStamp();
    
    int CompareTimeStamp(HostInfoItem&);
        
    void SetTo(HostInfoItem&);
        
    HostInfoItem& operator =  (HostInfoItem&);
  private:
    uint32 fip;
    time_t ftime;
};
#endif