#ifndef HOSTNAMELIST_H
#define HOSTNAMELIST_H
#include <List.h>
#include "HostInfoItem.h"
class HostNameList : public BList
{
  public:
    HostNameList(int32 size = 4);
    HostNameList(HostNameList&);
    virtual ~HostNameList();

    HostNameList& operator = (HostNameList &from); 
    
    int32 FindHostName(const char *);
    void Sort();
  private:
    static int compareforsort(const void *a,const void *b);  
};
#endif